program define makebase
  version 6.0
  syntax varlist, firstvis(string) visit(varname)
  tokenize `varlist'
  capture drop B*
  tempvar btemp
  while "`1'"~="" {
    local newname=substr("`1'",1,14)
    local newname="B`newname'"
    capture drop `btemp'
    quietly gen `btemp'=`1' if `visit'==`firstvis'
    egen `newname'=max(`btemp'), by(id)
    mac shift
  }
  display _n "Baseline confounders"
  quietly compress B*
  describe B*
end
